#
# spec file for package packit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           packit
Version:        1.5
Release:        lp150.1.3
Summary:        Network injection and capture
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Url:            https://github.com/eribertomota/packit
Source0:        https://github.com/eribertomota/packit/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Packit (Packet toolkit) is a network auditing tool. It
can customize, inject, monitor, and manipulate IP traffic.
By being able to construct nearly all TCP, UDP, ICMP, IP, ARP,
RARP, and Ethernet header options, Packit can be useful in testing
firewalls, intrusion detection/prevention systems, port scanning,
simulating network traffic, and general TCP/IP auditing.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README.md docs/ICMP.txt
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8%{ext_man}

%changelog
* Fri Jun  2 2017 jengelh@inai.de
- Reduce marketing speak in description.
* Sat May 27 2017 aloisio@gmx.com
- Initial package
